Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Class BaseRetryOnClassService

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnClassService

All Implemented Interfaces:
  `RetryService`

Direct Known Subclasses:
  `RetryOnClassServiceNoAnnotationOnOveriddenMethod`, `RetryOnClassServiceNoRedefinition`, `RetryOnClassServiceOverrideClassLevel`, `RetryOnClassServiceOverrideClassLevelMethodOverride`, `RetryOnClassServiceOverrideMethodLevel`

@RequestScoped @Retry public class BaseRetryOnClassService extends Object implements RetryService

## Constructor Summary

Constructors
Constructor
Description
`BaseRetryOnClassService()`

## Method Summary

Modifier and Type
Method
Description
`protected Connection`
`delegate()`
`int`
`getNumberOfServiceCalls()`
`Connection`
`service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseRetryOnClassService

public BaseRetryOnClassService()

## Method Details

### service

public Connection service()

Specified by:
  `service` in interface `RetryService`

### delegate

protected Connection delegate()

### getNumberOfServiceCalls

public int getNumberOfServiceCalls()

Specified by:
  `getNumberOfServiceCalls` in interface `RetryService`